> ## Documentation Index
> Fetch the complete documentation index at: https://docs.authsignal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update passkey authenticator configuration

> Update the tenant's passkey authenticator configuration.



## OpenAPI

````yaml management-api PATCH /authenticator-configurations/passkey
openapi: 3.1.0
info:
  description: Authsignal's Management API
  version: 1.0.0
  title: Management Api
  termsOfService: https://www.authsignal.com/legal/terms-of-service
  contact:
    email: hello@authsignal.com
servers:
  - url: https://api.authsignal.com/v1/management
    description: Authsignal's US (Oregon) Management API
  - url: https://au.api.authsignal.com/v1/management
    description: Authsignal's AU (Sydney) Management API
  - url: https://eu.api.authsignal.com/v1/management
    description: Authsignal's EU (Ireland) Management API
  - url: https://ca.api.authsignal.com/v1/management
    description: Authsignal's CA (Montreal) Management API
security:
  - basicAuth: []
tags:
  - name: Tenant
    description: Endpoints related to the configuration of a tenant.
    externalDocs:
      description: Find out more
      url: https://docs.authsignal.com
  - name: Action Configurations
    description: Endpoints related to the configuration of action configurations.
    externalDocs:
      description: Find out more
      url: https://docs.authsignal.com
  - name: SMS OTP configuration
    description: Endpoints for managing the tenant's SMS OTP configuration.
    externalDocs:
      description: Find out more
      url: https://docs.authsignal.com
  - name: email OTP configuration
    description: Endpoints for managing the tenant's email OTP configuration.
    externalDocs:
      description: Find out more
      url: https://docs.authsignal.com
  - name: passkey configuration
    description: Endpoints for managing the tenant's passkey configuration.
    externalDocs:
      description: Find out more
      url: https://docs.authsignal.com
  - name: push configuration
    description: Endpoints for managing the tenant's push configuration.
    externalDocs:
      description: Find out more
      url: https://docs.authsignal.com
  - name: Rules
    description: Endpoints related to the configuration of rules.
    externalDocs:
      description: Find out more
      url: https://docs.authsignal.com
  - name: Theme
    description: Endpoints related to the configuration of a Tenant's theme.
    externalDocs:
      description: Find out more
      url: https://docs.authsignal.com
  - name: Message Overrides
    description: >-
      Endpoints related to the configuration of a Tenant's pre-built UI message
      overrides.
    externalDocs:
      description: Find out more
      url: https://docs.authsignal.com
externalDocs:
  description: Find out more about Authsignal
  url: https://docs.authsignal.com
paths:
  /authenticator-configurations/passkey:
    patch:
      tags:
        - passkey configuration
      summary: Update the passkey configuration
      description: >-
        Updates the tenant's passkey configuration. Omitted fields are
        preserved.
      operationId: updatePasskeyAuthenticatorConfiguration
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdatePasskeyAuthenticatorConfigurationBody'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PasskeyAuthenticatorConfiguration'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    UpdatePasskeyAuthenticatorConfigurationBody:
      type: object
      description: >-
        Passkey fields to update. Omitted fields are preserved. Send `null` for
        a clearable field to remove it.
      properties:
        isActive:
          type: boolean
        relyingParty:
          type: string
          minLength: 1
          description: The relying party domain, without a URL scheme.
        expectedOrigins:
          type: array
          description: Allowed web or Android origins.
          items:
            type: string
            minLength: 1
            pattern: ^(https?://|android:)
          minItems: 1
        passkeyRegistrationHints:
          $ref: '#/components/schemas/PasskeyRegistrationHints'
        userVerificationRequirement:
          type:
            - string
            - 'null'
          enum:
            - preferred
            - required
            - null
        authenticatorAttachment:
          type:
            - string
            - 'null'
          enum:
            - cross-platform
            - platform
            - all-supported
            - null
      additionalProperties: false
      example:
        expectedOrigins:
          - https://example.com
          - https://app.example.com
    PasskeyAuthenticatorConfiguration:
      type: object
      properties:
        authenticatorId:
          type: string
          description: The immutable identifier for this configuration.
          readOnly: true
        isActive:
          type: boolean
        verificationMethod:
          type: string
          const: PASSKEY
          readOnly: true
          description: The verification method produced by this configuration.
        relyingParty:
          type: string
        expectedOrigins:
          type: array
          items:
            type: string
        passkeyRegistrationHints:
          $ref: '#/components/schemas/PasskeyRegistrationHints'
        userVerificationRequirement:
          type:
            - string
            - 'null'
        authenticatorAttachment:
          type:
            - string
            - 'null'
          enum:
            - cross-platform
            - platform
            - all-supported
            - null
      required:
        - authenticatorId
        - verificationMethod
        - isActive
      additionalProperties: true
      example:
        authenticatorId: 6b736c64-ff30-4b85-8706-0c78c34c0ca9
        verificationMethod: PASSKEY
        isActive: true
        relyingParty: example.com
        expectedOrigins:
          - https://example.com
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
        errorDescription:
          type: string
    PasskeyRegistrationHints:
      type: array
      items:
        type: string
        enum:
          - security-key
          - client-device
          - hybrid
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: >-
        Use your Authsignal Management API secret key as the username and leave
        the password empty. This key is different from the Server API key and
        can be found in the API Keys section of the Authsignal Portal settings
        page.

````